> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Operate the tasks on the Artistic QR code.



## OpenAPI

````yaml /openapi/qrart.json post /qrart/tasks
openapi: 3.0.0
info:
  title: Art QR Code Generation
  version: 1.0.0
  description: API reference for Art QR Code Generation on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /qrart/tasks:
    post:
      summary: Operate the tasks on the Artistic QR code.
      parameters:
        - in: header
          name: accept
          schema:
            enum:
              - application/json
            type: string
          required: false
          description: Qrart Tasks Param Accept
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: string
                  description: Qrart Tasks Id
                ids:
                  type: array
                  items:
                    type: string
                  description: Qrart Tasks Ids
                action:
                  enum:
                    - retrieve
                    - retrieve_batch
                  type: string
                  default: retrieve
                  description: Qrart Tasks Action
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                example:
                  id: 953df7c1-b051-40d7-bd71-f4fd38fb3b33
                  _id: 662a6554550a4144a559bced
                  request:
                    ecl: H
                    qrw: 1.5
                    seed: 1
                    type: text
                    ratio: null
                    steps: 16
                    preset: sunset
                    prompt: >-
                      generate a big Christmas tree with a lot of presents under
                      the tree, the Christmas tree is in the front yard next to
                      a decorated house, and Santa and his sleigh flying over
                      the decorated house, with a full moon in the night sky.
                    rotate: '0'
                    content: '12314'
                    pattern: custom
                    timeout: null
                    position: center
                    trace_id: 8112402d-8051-4c15-b60d-0b9c234a2ed8
                    sub_marker: square
                    pixel_style: square
                    aspect_ratio: '1:1'
                    callback_url: null
                    image_origin: null
                    marker_shape: square
                    padding_level: '5'
                    padding_noise: '0'
                    negative_prompt: null
                    content_image_url: null
                  response:
                    seed: 1
                    success: true
                    image_url: https://cdn.acedata.cloud/1j81zr.png
                    image_width: 768
                    image_height: 768
                properties:
                  id:
                    type: string
                    description: Qrart Tasks Response 200 Id
                  request:
                    type: object
                    description: Qrart Tasks Response 200 Request
                  response:
                    type: object
                    description: Qrart Tasks Response 200 Response
          description: Qrart Tasks Response 200
        '400':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: The specified token is not matched with API.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Qrart Tasks Response 400 Error Code
                          message:
                            type: string
                            example: The specified token is not matched with API.
                            description: Qrart Tasks Response 400 Error Message
                      trace_id:
                        type: string
                        description: Qrart Tasks Response 400 Trace Id
                  - type: object
                    example:
                      error:
                        code: api_not_implemented
                        message: The API is not implemented.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_not_implemented
                            description: Qrart Tasks Response 400 Error Code 2
                          message:
                            type: string
                            example: The API is not implemented.
                            description: Qrart Tasks Response 400 Error Message 2
                      trace_id:
                        type: string
                        description: Qrart Tasks Response 400 Trace Id 2
          description: Qrart Tasks Response 400
        '401':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: invalid_token
                        message: The specified token is invalid or wrong.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: invalid_token
                            description: Qrart Tasks Response 401 Error Code
                          message:
                            type: string
                            example: The specified token is invalid or wrong.
                            description: Qrart Tasks Response 401 Error Message
                      trace_id:
                        type: string
                        description: Qrart Tasks Response 401 Trace Id
          description: Qrart Tasks Response 401
        '429':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: too_many_requests
                        message: You have exceeded the rate limit.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: too_many_requests
                            description: Qrart Tasks Response 429 Error Code
                          message:
                            type: string
                            example: You have exceeded the rate limit.
                            description: Qrart Tasks Response 429 Error Message
                      trace_id:
                        type: string
                        description: Qrart Tasks Response 429 Trace Id
          description: Qrart Tasks Response 429
        '500':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: api_error
                        message: Internal server error.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_error
                            description: Qrart Tasks Response 500 Error Code
                          message:
                            type: string
                            example: Internal server error.
                            description: Qrart Tasks Response 500 Error Message
                      trace_id:
                        type: string
                        description: Qrart Tasks Response 500 Trace Id
          description: Qrart Tasks Response 500
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````